olm (3.2.16+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fix compilation with new cmake (Closes: #1113345)
  * pkg-config => pkgconf (lintian)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 02 Sep 2025 19:02:29 +0200

olm (3.2.16+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest for removed libjs-olm package (Closes: #1108814)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 30 Aug 2025 09:28:10 +0200

olm (3.2.16+dfsg-3) unstable; urgency=medium

  * Drop the JS bindings because it's broken (Closes: #1084312)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 07 Nov 2024 11:06:32 -0500

olm (3.2.16+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Workaround failing documentation build on ppc64el
  * Add LDFLAGS workaround for Ubuntu

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Jan 2024 11:26:35 +0100

olm (3.2.16+dfsg-1) unstable; urgency=medium

  * Team upload.
  * new upstream version
  * Switch d/watch to +dfsg
  * Drop python3-future dependency (no longer needed)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 10 Jan 2024 08:50:12 +0100

olm (3.2.15~dfsg-1) unstable; urgency=medium

  * Team upload.
  * new upstream version
  * Update d/copyright
  * Drop old Conflicts/Replaces/Provides
  * Bump policy version (no changes)
  * Move package description to source package
  * Rebase patch
  * Add patch to remove custom compiler flags (Closes: #1054673)
  * Fix build with new dpkg build flags
  * Cleanup after build (Closes: #1046699)
  * Fix lintian warnings

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 31 Oct 2023 10:38:39 +0100

olm (3.2.13~dfsg-1) unstable; urgency=medium

  * Team upload.
  * new upstream version
  * Add Multi-Arch according to MA hinter

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 15 Oct 2022 10:01:51 +0200

olm (3.2.12~dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Jonas Smedegaard ]
  * remove myself as uploader

  [ Jochen Sprickerhof ]
  * Drop android/.DS_Store from Files-Excluded (gone upstream)
  * New upstream version 3.2.12~dfsg
  * Fix tests with nodejs 18.
    Thanks to Jérémy Lal (Closes: 1015268)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Jul 2022 19:07:43 +0200

olm (3.2.11~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * invert to list architectures _without_ Node.js,
    to treat unknown architectures optimistically
  * drop patches 1001 1002 adopted upstream

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2022 10:37:50 +0200

olm (3.2.10~dfsg-6) unstable; urgency=medium

  * fix check JavaScript tests only where Node.js is available

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Feb 2022 11:25:19 +0100

olm (3.2.10~dfsg-5) unstable; urgency=medium

  * check javascript tests;
    build-depend on node-jasmine
  * generate html and plaintext README for libjs-olm
    from upstream markdown
  * simplify building JavaScript code;
    tighten build-dependency on emscripten

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Feb 2022 13:19:31 +0100

olm (3.2.10~dfsg-4) unstable; urgency=medium

  * set Rules-Requires-Root: no
  * use doctest as test runner:
    + drop patch 2003
    + build-depend on doctest-dev
  * build-depend on python3-pygments,
    to improve parsing of upstream ReST documentation

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Jan 2022 09:48:11 +0100

olm (3.2.10~dfsg-3) unstable; urgency=medium

  * fix build html documentation in arch-dependent build

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Jan 2022 23:29:03 +0100

olm (3.2.10~dfsg-2) unstable; urgency=medium

  * add patch 1001 to fix make target doc;
    thanks to Hubert Chathi
  * add patch 1002 to fix ReST syntax of upstream file CHANCHELOG.rst
  * build and install html documentation from ReST and Markdown sources;
    build-depend on python3-docutils pandoc;
    have libolm3-dev recommend libjs-katex
  * update TODOs

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Jan 2022 22:09:50 +0100

olm (3.2.10~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + avoid convenience code copy of doctest
      when repackaging upstream source
    + update coverage
  * rename and renumber patch
    1001_python3.patch -> 2002_python3_shebang.patch:
    Shrunk to only strip use of /usr/bin/env
    which is unlikely to be relevant upstream
  * add patch 2003 to avoid doctest for running testsuite

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Jan 2022 13:18:56 +0100

olm (3.2.8~dfsg-1) unstable; urgency=high

  [ upstream ]
  * new release

  * set urgency=high die to security bugfix;
    CVE-2021-44538

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Dec 2021 19:23:42 +0100

olm (3.2.7~dfsg-2) unstable; urgency=medium

  * tighten lintian overrides
  * update symbols:
    + 3 public symbols added
    + 72 public symbols dropped (wrongly introduced in 3.2.6)
    + 1 private symbol dropped

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Dec 2021 17:32:06 +0100

olm (3.2.7~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * use dpkg-provided make snippet (not direct dpkg-parsechangelog call)
    to resolve if release is experimental

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Dec 2021 12:08:56 +0100

olm (3.2.6~dfsg-2) unstable; urgency=medium

  * update symbols file:
    many changes, including removal of public symbol olm_pk_cipher
    which is unused in all reverse dependencies in Debian
  * relax to build-depend unversioned on python3-all-dev:
    required version satisfied in all supported Debian releases

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Sep 2021 13:31:17 +0200

olm (3.2.6~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
    + list GitHub issue tracker as preferred upstream contact
    + update source URI
  * use semantic newlines in long description and copyright fields
  * update Homepage URI
  * drop patch cherry-picked upstream now applied
  * unfuzz patch 2001
  * add debian/patches/README documenting patch-naming micro-policy
  * relax symbols check when targeting experimental

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Sep 2021 12:03:06 +0200

olm (3.2.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0
  * track library symbols; build-depend on pkg-kde-tools
  * stop pass -sASSERTIONS=1 to emscripten:
    uncertain why it was added,
    and apparently cause build failure with emscripten 2.0.26

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Aug 2021 13:51:37 +0200

olm (3.2.3~dfsg-3) unstable; urgency=medium

  * fix URLs in DEP-3 headers of upstream cherry-picked patch
  * fix post-build cleanup

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Aug 2021 17:16:05 +0200

olm (3.2.3~dfsg-2) experimental; urgency=medium

  * add patch cherry-picked upstream
    to only export olm functions to avoid colliding with other libraries;
    closes: bug#990006, thanks to Evangelos Ribeiro Tzaras

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Jun 2021 18:00:11 +0200

olm (3.2.3~dfsg-1) experimental; urgency=high

  [ upstream ]
  * new release(s), including security-related bugfixes

  [ Jonas Smedegaard ]
  * update source helper script copyright-check:
    skip binary file docs/double_ratchet.dia
    (unlikely to contain copyright info)
  * drop patches cherry-picked upstream now applied
  * install pkg-config file;
    have libolm-dev depend on pkg-config
  * update Node.js install path,
    and have libjs-olm provide node-matrix-org-olm (not node-olm)
  * drop symlink hack in build rules:
    underlying upstream issue seemingly fixed now
  * update patch 1001
  * drop obsolete TODO item about building javascript wrapper
  * update LD_LIBRARY_PATH during build-time test
  * set urgency=high to prioritize upstream security-related bug fixes

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 May 2021 18:40:06 +0200

olm (3.2.1~dfsg-7) unstable; urgency=medium

  * fix typo in changelog
  * add patches cherry-picked upstream:
    + specify PRIVATE_KEY_LENGTH const export in index.d.ts
    + fix length calculation of fallback key json

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Jan 2021 12:05:34 +0100

olm (3.2.1~dfsg-6) unstable; urgency=medium

  * fix unset executable bit on browser-targeted files
  * fix limit architecture-independently build-depending
    on brotli pigz uglifyjs
  * install libjs-olm demo code as example files

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Dec 2020 13:53:57 +0100

olm (3.2.1~dfsg-5) unstable; urgency=medium

  * fix paths in JavaScript maps,
    and install also compressed WASM files

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Dec 2020 01:36:10 +0100

olm (3.2.1~dfsg-4) unstable; urgency=medium

  * install browser-targeted javascript files also compressed;
    build-depend on brotli pigz uglifyjs
  * fix modernize test skipping syntax;
    closes: bug#977072, thanks to Christian Kastner
  * update git-buildpage settings:
    + use DEP-14 git branch names
    + add usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Dec 2020 23:01:13 +0100

olm (3.2.1~dfsg-3) unstable; urgency=medium

  * declare compliance with Debian Policy 4.5.1
  * limit build-dependency on emscripten
    to architecture-independent builds
  * fix set custom HOME during build for emscripten,
    and run a dummy emcc command
    to trigger creating emscripten settings file
  * fix avoid dh_auto_install for architecture-independent builds
  * support parallel build for emscripten build;
    build-depend on recent dpkg

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Nov 2020 22:28:00 +0100

olm (3.2.1~dfsg-2) experimental; urgency=medium

  * add patch 1002 to avoid closure-compiler
    (too ancient release packaged in Debian)
  * support DEB_BUILD_OPTIONS=noopt
  * add new binary package libjs-olm;
    build-depend on emscripten

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Oct 2020 21:41:46 +0100

olm (3.2.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * add patch 1001 to use python3

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Oct 2020 01:28:48 +0200

olm (3.1.5~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix use debhelper compatibility level 13 (not 12)
  * simplify source script copyright-check
  * check tests verbosely, unless DEB_BUILD_OPTIONS=terse
  * fix cleanup after python build
  * use pybuild
  * declare buildsystem explicitly (not in environment)
  * check python testsuite during build;
    build-depend on python3-future python3-pytest
  * use dh_link to install symlink
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Aug 2020 16:59:27 +0200

olm (3.1.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * add git-buildpackage configuration:
    + use pristine-tar
    + sign tags
    + ignore any .git files
  * copyright:
    + document files stripped from repackaged source
    + merge identically licensed Files sections
    + separate upstream verbatim License-Grant
      from authored License-Reference
    + list licenses as sections below Files sections
    + fix cover files licensed Expat or ISC
    + extend coverage
    + add myself as copyright holder
    + relicense packaging as GPL-3+
  * drop file README.source (obsolete)
  * add lintian overrides for use of License-Grant and License-Reference
  * watch:
    + use dversionmangle=auto
    + use repacksuffix=~dfsg (to support upstream cleaned rerelease)
    + drop filenamemangle (unneeded)
    + simplify download URL and regular expression
    + add usage comment
  * add helper script copyright-check to source
  * fix support DEB_BUILD_OPTIONS=nocheck
  * update control fields Maintainer Uploader Vcs-*:
    packaging moved to the Matrix Packaging Team
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat dh-sequence-python3
    (not debhelper dh-python)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Apr 2020 18:13:41 +0200

olm (3.1.3+dfsg-2) unstable; urgency=medium

  * Drop Python2 package python-olm. (Closes: #937188)

 -- Hubert Chathi <uhoreg@debian.org>  Sat, 31 Aug 2019 13:29:22 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libolm3`.
